VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Content::Library::Item::Updatesession::File::ValidationError Class Reference
Inheritance diagram for Com::Vmware::Content::Library::Item::Updatesession::File::ValidationError:

## Avaliable Methods
public method | get_error_message ()
public method | set_name ()
public method | new ()
public method | set_error_message ()
public method | get_name ()

## Detailed Description

The `Com::Vmware::Content::Library::Item::Updatesession::File::ValidationError` class* defines the validation error of a file in the session.

## Member Function Documentation

public method Com::Vmware::Content::Library::Item::Updatesession::File::ValidationError::get_error_message | ( |  | ) |

Gets the value of 'error_message' property.

Return values

  error_message | - The current value of the field. A message indicating why the file was considered invalid. LocalizableMessage#

Code:
click to view
# Number of lines of code in get_error_message: 4
sub get_error_message {
my ($self, %args) = @_;
return $self->{'error_message'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::ValidationError::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. The name of the file. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::ValidationError::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::Library::Item::Updatesession::File::ValidationError structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{error_message} = $args{'error_message'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Content::Library::Item::Updatesession::File::ValidationError');
$self->set_binding_name('name' => 'com.vmware.content.library.item.updatesession.file.validation_error');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'error_message', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Std', 'type_name' => 'LocalizableMessage'));
bless $self, $class;
return $self;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::ValidationError::set_error_message | ( |  | ) |

Sets the given value for 'error_message' property.

Parameters

  error_message | - New value for the field. A message indicating why the file was considered invalid.

Code:
click to view
# Number of lines of code in set_error_message: 5
sub set_error_message {
my ($self, %args) = @_;
$self->{'error_message'} = $args{'error_message'};
return;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::ValidationError::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. The name of the file.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Library/Item/Updatesession/File.pm